package com.ss.android.ugc.aweme.shortvideo.sticker.infoSticker.interact.consume.data;

import X.0NT;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class BusinessExtraData {
    @c(LIZ = "clickable_open_url")
    public String clickableOpenUrl;
    @c(LIZ = "clickable_web_url")
    public String clickableWebUrl;
    @c(LIZ = "interaction_type")
    public int interactionType;
    @c(LIZ = "interaction_url")
    public String interactionUrl;
    @c(LIZ = "interaction_icon")
    public String popIcon;
    @c(LIZ = "interaction_text")
    public String popText;
    @c(LIZ = "sticker_id")
    public String stickerId;

    static {
        Covode.recordClassIndex(112294);
    }

    public String getClickableOpenUrl() {
        return this.clickableOpenUrl;
    }

    public String getClickableWebUrl() {
        return this.clickableWebUrl;
    }

    public int getInteractionType() {
        return this.interactionType;
    }

    public String getInteractionUrl() {
        return this.interactionUrl;
    }

    public String getPopIcon() {
        return this.popIcon;
    }

    public String getPopText() {
        return this.popText;
    }

    public String getStickerId() {
        return this.stickerId;
    }

    public String getSchemaUrlOpenFirst() {
        if (!0NT.LIZ(this.clickableOpenUrl)) {
            return this.clickableOpenUrl;
        }
        if (!0NT.LIZ(this.clickableWebUrl)) {
            return this.clickableWebUrl;
        }
        return this.interactionUrl;
    }

    public String getSchemaUrlWebFirst() {
        if (!0NT.LIZ(this.clickableWebUrl)) {
            return this.clickableWebUrl;
        }
        if (!0NT.LIZ(this.clickableOpenUrl)) {
            return this.clickableOpenUrl;
        }
        return this.interactionUrl;
    }

    public void setClickableOpenUrl(String str) {
        this.clickableOpenUrl = str;
    }

    public void setClickableWebUrl(String str) {
        this.clickableWebUrl = str;
    }

    public void setInteractionType(int i) {
        this.interactionType = i;
    }

    public void setInteractionUrl(String str) {
        this.interactionUrl = str;
    }

    public void setPopIcon(String str) {
        this.popIcon = str;
    }

    public void setPopText(String str) {
        this.popText = str;
    }

    public void setStickerId(String str) {
        this.stickerId = str;
    }
}
